Bug 34699 - Python scripts not visible or executable in Tools/Macros/Python Macros manager on Mac OS
Summary: Python scripts not visible or executable in Tools/Macros/Python Macros manage...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.4.0 Beta3
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 23:53 UTC by Alex Thurgood
Modified: 2017-06-03 11:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2011-02-24 23:53:55 UTC
Hi,

I am looking into developing python scripts for running, driving LibO, and so naturally thought I would take a look at the included python scripts that come with the installation.

On the Mac, if one navigates via Tools > Macros > Manage Macros > Python, a list of installed python scripts can be displayed by clicking on the arrow next to the LibreOffice Macros entry.


A list of 3 macros is displayed. However, only one of the three, HelloWorld is actually executable / visible. This macro can be run by clicking on the appropriately activated button.

The other 2, Capitalise and pythonSamples, do nothing when their respective folders are clicked on, i.e. one can not see that a script is present, nor can the script be run.

I checked within the app bundle to see if the scripts were actually present and they are, so why do they not appear, and why are they not executable like the HelloWorld script ?

Having checked this on Linux deb x86-64 yesterday, where all of the macros can be seen and run, I was eager to try this out on the Mac, but no dice.


Alex
Comment 1 Alex Thurgood 2011-02-25 02:06:20 UTC
This issue may be linked to issue 33355, indeed it may even be a duplicate, but we are not talking about extensions here.


Alex
Comment 2 Cédric Bosdonnat 2011-02-25 02:31:14 UTC
Thorsten, as a MacOS expert could you have a look at this one? I'm wondering what to do given those entries have been removed in master branch.
Comment 3 Alex Thurgood 2011-02-25 02:53:43 UTC
Hi Cedric,

I can also see them in my git repo - which I updated last weekend - how come they've been taken out ? They are also in the 3.3.1 final debs.


Alex
Comment 4 Christian Lohmaier 2011-03-07 07:34:35 UTC
Fixed on master bef88b2
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=bef88b2ebf98faacedd911944ba20fe963498396

thread on the mailinglist:
http://lists.freedesktop.org/archives/libreoffice/2011-February/008503.html

Please pick for release-branch.
Comment 6 Alex Thurgood 2011-03-07 08:36:05 UTC
removing needinfo keyword
Comment 7 Alex Thurgood 2011-03-07 08:36:25 UTC
doh wrong bug, sorry
Comment 8 Alex Thurgood 2011-03-07 08:36:44 UTC
resetting
Comment 9 Christian Lohmaier 2011-03-07 08:38:43 UTC
no, indeed this one doesn't need info anymore - it was all cleared on the mailinglist, and after all a fix is available and has been committed, thus get rid of the keyowrd :-)
Comment 10 Alex Thurgood 2011-05-09 06:59:48 UTC
Re-opening, because in b4 (and b3 for that matter), the scripts have disappeared again.


Alex
Comment 11 Alex Thurgood 2011-05-09 07:00:26 UTC
setting version to 3.4b3
Comment 12 Alex Thurgood 2011-05-09 07:03:27 UTC
Other scripts also fail to show up in the Macro manager, added links to bug reports.

Alex
Comment 13 Alex Thurgood 2011-05-09 07:37:34 UTC
OK, after discussion with cloph, closing again, will open a new bug report for scripting issues on Mac OS.

Alex
Comment 14 Aleksandr Drozd 2013-01-21 13:30:48 UTC
just insalled Version 4.0.0.0.alpha1 (Build ID: 400m0(Build:1))
and libreoffice-script-provider-python 1:4.0.0~alpha1-0ubuntu1~ppa1
scripts are not visible in ~/.config/libreoffice/4/user/Scripts/python
the path was created (except python part) during the installation, so I suppose it is correct..
Comment 15 Michael Stahl (CIB) 2013-01-23 22:10:26 UTC
Aleksandr, this is about a MacOS specific bug that has been fixed,
and you are apparently using Ubuntu, so it's likely a different problem,
please file a new bug instead of re-opening this one.
Comment 16 krishna [:kr1shna] 2017-06-03 11:45:22 UTC
according to comment 15, verified, hence status change.

Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: 2017-06-01 00:30:43